import request from '@/utils/request'

// 查询黑名单管理列表
export function listApi(query) {
  return request({
    url: '/company/companyVoiceBlacklist/list',
    method: 'get',
    params: query
  })
}

// 查询黑名单管理详细
export function getApi(id) {
  return request({
    url: '/company/companyVoiceBlacklist/' + id,
    method: 'get'
  })
}

// 新增黑名单管理
export function addApi(data) {
  return request({
    url: '/company/companyVoiceBlacklist',
    method: 'post',
    data: data
  })
}

// 修改黑名单管理
export function updateApi(data) {
  return request({
    url: '/company/companyVoiceBlacklist',
    method: 'put',
    data: data
  })
}

// 删除黑名单管理
export function delApi(id) {
  return request({
    url: '/company/companyVoiceBlacklist/' + id,
    method: 'delete'
  })
}
